function OpenCalendar(objcgi, objy, objm, objd, objprd)
{
  var index;
  var year;
  var month;
  var day;
  var str_label;

  /** 現在選択されている月日を取得 **/
  index = objm.selectedIndex;
  month = objm.options[index].value;
  index = objd.selectedIndex;
  day = objd.options[index].value;
  year = objy.value;

  var iy;
  var im;
  var id = new Date();

  iy = id.getYear();
  if(iy < 2000) {
      iy = iy + 1900;
  }
  im = id.getMonth() + 1;

  if(year == '00' || year == '') {
      year = iy;
  }
  
  if(month == '00' || month == '') {
      month = im;
  }
  
  if(day == '') {
      day = id.getDate();
  }
  
  if(month < im || (month == im && day < id.getDate())) {
      iy = iy + 1;
  }

  /** URLラベル作成 **/
  str_label = objcgi.value + '?cmd=calendar&fldmonth=' + objm.name + '&ds_year=' + year + '&ds_month=' + month + '&sv_openperiod=' + objprd.value;

  /** ｳｨﾝﾄﾞｳｵｰﾌﾟﾝ **/
  remote=window.open( str_label,'cal', 'width=220,height=230,resizable=yes,scrollbars=no,status=0');
  if(remote != null) {
    if(remote.opener == null)
      remote.opener = self;
  }
}

function SetClickDate(iyear, imonth, iday) {

    var i_d;      /* 本日 */
    var i_m;      /* 本月 */
    var i_y;      /* 本年 */
    var d_val;    /* 呼び出し側の日selectの最初の値 */
    var m_val;    /* 呼び出し側の月selectの最初の値 */
    var idate = new Date();
    
    var limit_val;  /* 公開期限 DAXASP */
    var nowsecond;  /* 本日までのUTC経過時間           */
    var selsecond;  /* 選択された日付までのUTC経過時間 */
    limit_val = document.calform.sv_openperiod.value;
    limit_val = Number(limit_val) + Number(1);
    var iseldate = new Date(iyear, imonth - 1, iday, 23, 59, 59);
    nowsecond = idate.getTime();
    selsecond = iseldate.getTime();
    
    i_m = idate.getMonth() + 1;
    i_y = idate.getYear();
    i_d = idate.getDate();

    /*[ コマンド取得 ]*/
    var cmd = window.opener.document.form.cmd.value;
    var flg = window.opener.document.form.sv_emlflg.value;
    
//document.write(encodeURI("有効期限に過去の日付を選択することはできません。"));

    if(i_y < 2000) i_y = 1900 + i_y;
    /*[ 選択年月は本日以前？ ]*/
    if(iyear < i_y || (iyear == i_y && imonth < i_m) || (iyear == i_y && imonth == i_m && iday < i_d)) {
    	 // 公開期間に過去の日付を選択することはできません。
//		 str = unescape("\u516C\u958B\u671F\u9593\u306B\u904E\u53BB\u306E\u65E5\u4ED8\u3092\u9078\u629E\u3059\u308B\u3053\u3068\u306F\u3067\u304D\u307E\u305B\u3093");
		 if(flg == 'up'){
		     str = "\u6709\u52B9\u671F\u9650\u306B\u904E\u53BB\u306E\u65E5\u4ED8\u3092\u9078\u629E\u3059\u308B\u3053\u3068\u306F\u3067\u304D\u307E\u305B\u3093\u3002";
		 }
		 else
		 str = "\u516C\u958B\u671F\u9593\u306B\u904E\u53BB\u306E\u65E5\u4ED8\u3092\u9078\u629E\u3059\u308B\u3053\u3068\u306F\u3067\u304D\u307E\u305B\u3093";
         return alert(str);
    }
    /*[ 選択日は公開期限以上？ ]*/
    else if((selsecond - nowsecond) > limit_val * 24 * 3600 * 1000){
    	 // 公開終了日が制限された期間を超えています。
		 //str = unescape("\u516C\u958B\u7D42\u4E86\u65E5\u304C\u5236\u9650\u3055\u308C\u305F\u671F\u9593\u3092\u8D85\u3048\u3066\u3044\u307E\u3059\u3002");
		 if(flg == 'up'){
		     str = "\u6709\u52B9\u671F\u9650\u304C\u5236\u9650\u3055\u308C\u305F\u671F\u9593\u3092\u8D85\u3048\u3066\u3044\u307E\u3059\u3002";
		 }
		 else
		 str = "\u516C\u958B\u7D42\u4E86\u65E5\u304C\u5236\u9650\u3055\u308C\u305F\u671F\u9593\u3092\u8D85\u3048\u3066\u3044\u307E\u3059\u3002";
         return alert(str);
    } 
    /*[ 選択年月は１年以上未来？ ]*/
    else if(iyear >= i_y + 2 || (iyear == i_y + 1 && imonth > i_m) || (iyear == i_y + 1 && imonth == i_m && iday > i_d)) {
    	 // 公開期間には本日から一年以内の日付を指定して下さい。
//		 str = unescape("\u516C\u958B\u671F\u9593\u306B\u306F\u672C\u65E5\u304B\u3089\u4E00\u5E74\u4EE5\u5185\u306E\u65E5\u4ED8\u3092\u6307\u5B9A\u3057\u3066\u4E0B\u3055\u3044");
		 str = "\u516C\u958B\u671F\u9593\u306B\u306F\u672C\u65E5\u304B\u3089\u4E00\u5E74\u4EE5\u5185\u306E\u65E5\u4ED8\u3092\u6307\u5B9A\u3057\u3066\u4E0B\u3055\u3044";
         return alert(str);
    }

    /** 呼び出し側select初期値取得 **/
    if(document.calform.fldmonth.value.match("sv_COL000000024_2")) {
        d_val = window.opener.document.forms[0].sv_COL000000024_3.options[0].value;
        m_val = window.opener.document.forms[0].sv_COL000000024_2.options[0].value;
    }
    else {
        d_val = window.opener.document.forms[0].sv_COL000000025_3.options[0].value;
        m_val = window.opener.document.forms[0].sv_COL000000025_2.options[0].value;
    }

    /** 表示年設定 **/
    if(d_val == 1) {
        iday = iday - 1;
    }
    
    /** 表示月設定 **/
    if(m_val == 1) {
        imonth = imonth - 1;
    }

    /** 呼び出し側selectの選択位置セット **/
    if(document.calform.fldmonth.value.match("sv_COL000000024_2")) {
        window.opener.document.forms[0].sv_COL000000024_3.selectedIndex = iday;
        window.opener.document.forms[0].sv_COL000000024_2.selectedIndex = imonth;
    }
    else {
        d_sel = window.opener.document.forms[0].sv_COL000000025_3.selectedIndex = iday;
        m_sel = window.opener.document.forms[0].sv_COL000000025_2.selectedIndex = imonth;
        /** 参照画面の場合は年もセット **/
		if (cmd.search(/disp/i) != -1) {
		    y_sel = window.opener.document.forms[0].sv_COL000000025_1.selectedIndex = iyear - 2006;
		}
    }


    if (cmd.search(/disp/i) == -1) {
        window.opener.document.form.sv_COL000000025_1.value = iyear;
    }

    /** ｳｨﾝﾄﾞｳｸﾛｰｽﾞ **/
    window.close();
}
